Page MenuHomePhabricator

MediaWiki 1.32.0-RC0 tables.sql missing comma
Closed, ResolvedPublic

Description

Windows 2008 R2 IIS 7.5
MS-SQL 2012
MediaWiki 1.32.0-RC0 (11-09-2018)

I had tried 1.31.1 but from reading found it doesn't support MS-SQL at all because of issues with it and it was being fixed in 1.32.0 release. Looking in GIT I saw most of those issues resolved. When I first try to install there's an error on table creation, it looks like a comma was left out of the tables.sql file.

maintenance\mssql\tables.sql line 1044

rc_patrolled tinyint NOT NULL CONSTRAINT DF_rc_patrolled DEFAULT 0

I added the comma to the end in that file and started the entire process over after deleting and remaking a blank DB and it ran through successfully then.

Event Timeline

Brentil created this task.Nov 19 2018, 6:10 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 19 2018, 6:10 PM
Seb35 added a subscriber: Seb35.Nov 19 2018, 6:34 PM

Thanks for reporting this bug! Do you want to submit yourself the patch fixing this? If so, you can follow https://www.mediawiki.org/wiki/Gerrit/Tutorial – it could take some time (perhaps 1-2 hours) but it is an investment for the long time. If you don’t want to submit yourself the patch, I can prepare it (but I don’t have myself MSSQL, so I am unable to test).

Change 474918 had a related patch set uploaded (by Seb35; owner: Seb35):
[mediawiki/core@master] SQL syntax error in MS-SQL file

https://gerrit.wikimedia.org/r/474918

I submit the patch so that it has a chance to be published with 1.32.0. Is it possible to merge it in master and REL1_32 (and possibly REL1_31)? I have not tested myself but @Brentil successfully did.

Seb35 triaged this task as Normal priority.Nov 20 2018, 2:33 PM

Sorry, I was trying to track down another bug with installing on MS-SQL and didn't see the posts over here. I checked out the file and the edit is the same as I made to get it working on MS-SQL for the table creation process.

Change 474918 merged by jenkins-bot:
[mediawiki/core@master] SQL syntax error in MS-SQL file

https://gerrit.wikimedia.org/r/474918

Change 475073 had a related patch set uploaded (by Seb35; owner: Seb35):
[mediawiki/core@REL1_31] SQL syntax error in MS-SQL file

https://gerrit.wikimedia.org/r/475073

Change 475076 had a related patch set uploaded (by Seb35; owner: Seb35):
[mediawiki/core@REL1_32] SQL syntax error in MS-SQL file

https://gerrit.wikimedia.org/r/475076

Change 475076 merged by jenkins-bot:
[mediawiki/core@REL1_32] SQL syntax error in MS-SQL file

https://gerrit.wikimedia.org/r/475076

Seb35 added a comment.Nov 23 2018, 9:13 AM

Fixed in master and REL1_32 (hence it will be in 1.32.0). I just wait the merge for REL1_31 to close this task (hopefully it will be included in 1.31.2).

Change 475073 merged by jenkins-bot:
[mediawiki/core@REL1_31] SQL syntax error in MS-SQL file

https://gerrit.wikimedia.org/r/475073

Seb35 closed this task as Resolved.EditedNov 23 2018, 10:20 PM
Seb35 assigned this task to Brentil.

Fixed in the last supported version (1.31.2) and in upcoming versions (1.32.0, 1.33.0). Previous versions didn’t have this bug. Thanks @Brentil!